'
' JustLDAPDomain test script for adding an existing user to a named group.
' Note: You do not need to specify the full Group distinguishedName path.
'
' Demonstrates GetLastErrorAsMessage to assist debugging.
'
' Input parameters - Group and UserID (sAMAccountName), Domain, AuthUsername, AuthPassword 
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  Result = oLdap.AddUserToGroupDom("International Sales", "bobuser", "otherdomain.com", "admin42", "secretpw55$")
 
  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If
 
  Wscript.Echo Result

Set oLdap = Nothing


