'
' JustLDAP test script for user membership in a group specified by its full distinguished name.
' Note: You need to specify the full Group distinguishedName path.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name and Group Distinguished Name
' Returns Boolean True or False
'

' This sample performs a fast test of membership of newuser in the Internal Sales group.


Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.IsUserMemberOfGroupDN("CN=Internal Sales,OU=Canada,OU=West,DC=yourcompany,DC=com", "newuser")


  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    if Result = True then
      Wscript.Echo "User is a member of the group."
    else
      Wscript.Echo "User is not a member of the group."
    End If

  End If

Set oLdap = Nothing


